<?php
/**
 * @author    Marc Scholten <marc@pedigital.de>
 * @copyright MMXIII Marc Scholten
 * @license   http://www.opensource.org/licenses/mit-license.html  MIT License
 */

class Net_SSH1Test extends PhpseclibTestCase
{
    public function formatLogDataProvider()
    {
        return array(
            array(
                array('hello world'),
                array('<--'),
                "<--\r\n00000000  68:65:6c:6c:6f:20:77:6f:72:6c:64                 hello world\r\n\r\n"
            ),
            array(
                array('hello', 'world'),
                array('<--', '<--'),
                "<--\r\n00000000  68:65:6c:6c:6f                                   hello\r\n\r\n" .
                "<--\r\n00000000  77:6f:72:6c:64                                   world\r\n\r\n"
            ),
        );
    }

    /**
     * @dataProvider formatLogDataProvider
     */
    public function testFormatLog(array $message_log, array $message_number_log, $expected)
    {
        $ssh = $this->getMockBuilder('Net_SSH1')
            ->disableOriginalConstructor()
            ->setMethods(null)
            ->getMock();

        $result = $ssh->_format_log($message_log, $message_number_log);

        $this->assertEquals($expected, $result);
    }
}
